import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class RedemptionGetUserRedemptionHistoryQuery {
  final int? limit;
  final int? offset;
  final String? startDate;
  final String? endDate;
  final int gmtTimeZoneOffset;

  RedemptionGetUserRedemptionHistoryQuery({
    this.limit,
    this.offset,
    this.startDate,
    this.endDate,
    required this.gmtTimeZoneOffset,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.LIMIT] = limit;
    data[Constants.OFFSET] = offset;
    data[Constants.INITIAL_DATE] = startDate;
    data[Constants.END_DATE] = endDate;
    data[Constants.GMT_TIME_ZONE_OFFSET] = gmtTimeZoneOffset;
    return data;
  }
}
