## 8.0.0
- **BREAKING**: users-api v4. Loyalty affiliates/cards merge.

## 7.1.0
- REMOVE: webview_flutter dependency.
- REMOVE: flutter_html dependency.

## 7.0.1
- CHANGE: Refactor required/optional fields.

## 7.0.0
- **BREAKING**: Context is no longer needed for Dcoupon class.
- **BREAKING**: GetCategories has a lang parameter (required).

## 6.0.1
- CHANGE: Limit parameter is nullable now.

## 6.0.0
- **BREAKING**: Enrollment form has been removed.

## 5.1.0
- FEAT: Legal documents ids as arguments to login method to avoid enrollment form.

## 5.0.2
- FIX: Language in api calls.

## 5.0.1
- CHANGE: Rework localizations.
- FIX: Enrollment form crash on CA, GL languages.

## 5.0.0
- FEAT: Web support.
- CHANGE: Third party login v4.
- REMOVE: Client type logic.

## 4.5.0
- FEAT: Add unregisterUser method.

## 4.4.2
- FIX: Static language after parsing legal documents.

## 4.4.1
- FIX: Surface Android Webview.

## 4.4.0
- CHANGE: Remove loyalty card number from add/update request.
- CHANGE: Legal docs are shown in webview now.

## 4.3.1
- FIX: Save userJWT and clientType properly after accepting legal documents.

## 4.3.0
- **BREAKING**: Loyalty card addUpdateLoyaltyCard params changed.

## 4.2.1
- CHANGE: Enrollment form localizations.

## 4.2.0
- CHANGE: Update third party login API to v3.
- CHANGE: Rework all the legal docs enrollment form UI.

## 4.1.1
- FEAT: Add PT localization.
- CHANGE: Remove country from some methods.
- FIX: Theming.

## 4.1.0 
- FEAT: Add utmSource to createCoupons.

## 4.0.1
- CHANGE: Upgrade dependencies.

## 4.0.0
- **BREAKING**: Param "publisherId" renamed to publisherToken.
- CHANGE: Update some APIs.

## 3.1.0-nullsafety.1
- CHANGE: Dio interceptors are now set when creating Dcoupon instance from host app.

## 3.0.0-nullsafety.2
- FIX: Enrollment form null safety function.

## 3.0.0-nullsafety.1
- **BREAKING**: Publishers are no longer needed when configuring the SDK.
- **BREAKING**: All methods publisherName param has been changed to publisherId.
- FEAT: Null safety support.
- FIX: Legal documents for each country.

## 2.0.3
- CHANGE: Upgrade dependency.

## 2.0.2
- CHANGE: Terms read is not mandatory now.

## 2.0.1
- CHANGE: Update some APIs.

## 2.0.0
- **BREAKING**: Email field is now optional in login method.
- **BREAKING**: Remove user data from login method.
- **BREAKING**: Remove isLoggedIn method.
- **BREAKING**: Rename logIn to login.
- FEAT: Get current session token.
- CHANGE: Login response now returns session token.
- CHANGE: Login method now accepts a referral code.
- CHANGE: Get user data changes.
- CHANGE: You must read legal terms before agreement.
- FIX: Override host app theme.

## 2.0.0-dev.2
- FIX: Override host app theme.

## 2.0.0-dev.1
- **BREAKING**: Email field is now optional in login method.
- **BREAKING**: Remove user data from login method.
- **BREAKING**: Remove isLoggedIn method.

## 1.1.4
- Upgrade intl dependency.

## 1.1.3
- Upgrade plugin dependencies.

## 1.1.2
- Fix retailerTokens and companyTokens for company and retailer clients.
- Fix getStores.

## 1.1.1
- Fix example app issues.

## 1.1.0
- **BREAKING**: `getCategories` -> removed `start` and `limit` params.
- **BREAKING**: `getStores` -> refactored `promotionToken` param to mandatory unnamed param.
- Added default values to some params.

## 1.0.5
- Minor improvements

## 1.0.4
- Fix linter warnings
- Improve documentation

## 1.0.3
- Initial release