import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class PromotionGetFilterQuery {
  final String? lang;
  final int? start;
  final int? limit;
  final String publisherToken;

  PromotionGetFilterQuery({
    this.lang,
    this.start,
    this.limit,
    required this.publisherToken,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.LANG] = lang;
    data[Constants.START] = start;
    data[Constants.LIMIT] = limit;
    data[Constants.PUBLISHER_TOKEN] = publisherToken;
    return data;
  }
}
