import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class UserDeleteLoyaltyCardRequest {
  final String affiliateApiToken;
  final String cardNumber;

  UserDeleteLoyaltyCardRequest({
    required this.affiliateApiToken,
    required this.cardNumber,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.API_TOKEN_AFFILIATE] = affiliateApiToken;
    data[Constants.CARD_NUMBER] = cardNumber;
    return data;
  }
}
