import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class UserLoginRequest {
  final String externalId;
  final String? referralCode;

  UserLoginRequest({
    required this.externalId,
    this.referralCode,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.EXTERNAL_ID] = externalId;
    data[Constants.REFERRAL_CODE] = referralCode;
    return data;
  }
}
