import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';
import 'package:dio/dio.dart';

class UserLoginResponse {
  final String sessionToken;

  UserLoginResponse({
    required this.sessionToken,
  });

  factory UserLoginResponse.fromResponse(Response<dynamic> response) {
    final Map<String, dynamic> json = response.data;

    return UserLoginResponse(
      sessionToken: json[Constants.SESSION_TOKEN],
    );
  }
}